package com.haopu.GameLogic;

import com.badlogic.gdx.scenes.scene2d.InputEvent;
import com.badlogic.gdx.scenes.scene2d.utils.ClickListener;
import com.haopu.GameEntry.GameMain;
import com.haopu.MyMessage.MyMessage;
import com.haopu.pak.GameConstant;
import com.haopu.util.GameLayer;
import com.haopu.util.GameStage;
import com.kbz.Actors.ActorImage;

public class GameShop implements GameConstant {

    public GameShop() {
	// TODO 自动生成的构造函数存根
    }

    // 商城
    public static ActorImage maskImage;
    public static ActorImage shopBGImage;
    public static ActorImage exitImage;
    public static ActorImage[] anniu = new ActorImage[8];

    public static int[][] shopPos = { { IMG_1YAN, 410, 345 }, { IMG_2YUAN, 320, 345 }, { IMG_4YUAN, 230, 345 }, { IMG_6YUAN, 410, 240 }, { IMG_8YUAN, 320, 240 }, { IMG_15YUAN, 500, 240 }, { IMG_10YUAN, 230, 240 }, { IMG_20YUAN, 500, 345 }, };

    public static void addShop() {
	maskImage = new ActorImage(IMG_MASK, 0, 0, 1000, GameLayer.ui);
	shopBGImage = new ActorImage(IMG_SCDI, 193, 89, 1000, GameLayer.ui);
	// 退出
	exitImage = new ActorImage(IMG_GUANBI, 735 - 5, 0 - 5, 1000, GameLayer.ui);
	exitImage.addListener(new ClickListener() {
	    @Override
	    public boolean touchDown(InputEvent event, float x, float y, int pointer, int button) {
		return true;
	    }

	    @Override
	    public void touchUp(InputEvent event, float x, float y, int pointer, int button) {
		removeShop();
	    }
	});
	// 按钮
	for (int i = 0; i < shopPos.length; i++) {
	    anniu[i] = new ActorImage(shopPos[i][0], shopPos[i][1], shopPos[i][2], 1000, GameLayer.ui);
	    anniu[i].setOrigin(anniu[i].getWidth() / 2, anniu[i].getHeight() / 2);
	    final int chooseID = i;
	    anniu[i].addListener(new ClickListener() {
		@Override
		public boolean touchDown(InputEvent event, float x, float y, int pointer, int button) {
		    anniu[chooseID].setScale(1.1f);
		    return true;
		}

		@Override
		public void touchUp(InputEvent event, float x, float y, int pointer, int button) {
		    anniu[chooseID].setScale(1.0f);
		    MyGameCanvas.sound.playSound(SOUND_FINDFILAD);
		    switch (chooseID) {
		    case 0:
			// GameEngine.skillNum_FuHuo += 1;
			// MyRecord.writeDB(0);
			GameMain.myMessage.sendSMS(MyMessage.Billing_1元);
			break;
		    case 1:
			// GameEngine.findNum += 4;
			// MyRecord.writeDB(0);
			GameMain.myMessage.sendSMS(MyMessage.Billing_2元);
			break;
		    case 2:
			// GameEngine.timeNum += 8;
			// MyRecord.writeDB(0);
			GameMain.myMessage.sendSMS(MyMessage.Billing_4元);
			break;
		    case 3:
			// GameEngine.skillNum_FuHuo += 5;
			// GameEngine.findNum += 5;
			// GameEngine.timeNum += 5;
			// MyRecord.writeDB(0);
			GameMain.myMessage.sendSMS(MyMessage.Billing_6元);
			break;
		    case 4:
			// GameEngine.skillNum_FuHuo += 10;
			// GameEngine.findNum += 10;
			// GameEngine.timeNum += 10;
			// MyRecord.writeDB(0);
			GameMain.myMessage.sendSMS(MyMessage.Billing_8元);
			break;
		    case 5:
			// GameEngine.skillNum_FuHuo += 10;
			// GameEngine.findNum += 10;
			// GameEngine.timeNum += 10;
			// MyRecord.writeDB(0);
			GameMain.myMessage.sendSMS(MyMessage.Billing_15元);
			break;
		    case 6:
			// GameEngine.skillNum_FuHuo += 10;
			// GameEngine.findNum += 10;
			// GameEngine.timeNum += 10;
			// MyRecord.writeDB(0);
			GameMain.myMessage.sendSMS(MyMessage.Billing_10元);
			break;
		    case 7:
			// GameEngine.skillNum_FuHuo += 10;
			// GameEngine.findNum += 10;
			// GameEngine.timeNum += 10;
			// MyRecord.writeDB(0);
			GameMain.myMessage.sendSMS(MyMessage.Billing_20元);
			break;
		    }
		}
	    });
	}
    }

    public static void removeShop() {
	GameStage.removeActor(maskImage);
	GameStage.removeActor(shopBGImage);
	GameStage.removeActor(exitImage);
	for (int i = 0; i < anniu.length; i++) {
	    GameStage.removeActor(anniu[i]);
	}
    }
}
